Bug 985176 - [abrt] gabedit-2.4.6-2.fc19: strlen: Process /usr/bin/gabedit was killed by signal 11 (SIGSEGV) [NEEDINFO]
[abrt] gabedit-2.4.6-2.fc19: strlen: Process /usr/bin/gabedit was killed by s...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gabedit (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
abrt_hash:06a1cec0a0759f1096c517805c0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 23:13 EDT by Henrique "LonelySpooky" Junior
Modified: 2013-11-10 01:33 EST (History)
3 users (show)

See Also:
Fixed In Version: gabedit-2.4.7-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-31 23:56:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dominik: needinfo? (henriquecsj)


Attachments (Terms of Use)
File: backtrace (32.21 KB, text/plain)
2013-07-16 23:14 EDT, Henrique "LonelySpooky" Junior
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-16 23:14 EDT, Henrique "LonelySpooky" Junior
no flags Details
File: core_backtrace (2.90 KB, text/plain)
2013-07-16 23:14 EDT, Henrique "LonelySpooky" Junior
no flags Details
File: dso_list (9.76 KB, text/plain)
2013-07-16 23:14 EDT, Henrique "LonelySpooky" Junior
no flags Details
File: environ (1.53 KB, text/plain)
2013-07-16 23:14 EDT, Henrique "LonelySpooky" Junior
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-16 23:14 EDT, Henrique "LonelySpooky" Junior
no flags Details
File: maps (31.29 KB, text/plain)
2013-07-16 23:14 EDT, Henrique "LonelySpooky" Junior
no flags Details
File: open_fds (436 bytes, text/plain)
2013-07-16 23:14 EDT, Henrique "LonelySpooky" Junior
no flags Details
File: proc_pid_status (790 bytes, text/plain)
2013-07-16 23:14 EDT, Henrique "LonelySpooky" Junior
no flags Details
File: var_log_messages (367 bytes, text/plain)
2013-07-16 23:14 EDT, Henrique "LonelySpooky" Junior
no flags Details

  None (edit)
Description Henrique "LonelySpooky" Junior 2013-07-16 23:13:56 EDT
Description of problem:
Try to optimize geometry

Version-Release number of selected component:
gabedit-2.4.6-2.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        gabedit
crash_function: strlen
executable:     /usr/bin/gabedit
kernel:         3.9.8-300.fc19.i686.PAE
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/i386/i686/multiarch/strlen-sse2-bsf.S:50
 #1 amberMolecularDynamicsConfo at MolecularMechanicsDlg.c:1215
 #2 g_cclosure_marshal_VOID__VOIDv at gmarshal.c:115
 #3 _g_closure_invoke_va at gclosure.c:840
 #6 gtk_button_clicked at gtkbutton.c:1115
 #7 gtk_real_button_released at gtkbutton.c:1712
 #14 gtk_button_released at gtkbutton.c:1107
 #15 gtk_button_button_release at gtkbutton.c:1604
 #16 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #22 gtk_widget_event_internal at gtkwidget.c:5017
Comment 1 Henrique "LonelySpooky" Junior 2013-07-16 23:14:01 EDT
Created attachment 774594 [details]
File: backtrace
Comment 2 Henrique "LonelySpooky" Junior 2013-07-16 23:14:05 EDT
Created attachment 774595 [details]
File: cgroup
Comment 3 Henrique "LonelySpooky" Junior 2013-07-16 23:14:08 EDT
Created attachment 774596 [details]
File: core_backtrace
Comment 4 Henrique "LonelySpooky" Junior 2013-07-16 23:14:14 EDT
Created attachment 774597 [details]
File: dso_list
Comment 5 Henrique "LonelySpooky" Junior 2013-07-16 23:14:18 EDT
Created attachment 774598 [details]
File: environ
Comment 6 Henrique "LonelySpooky" Junior 2013-07-16 23:14:21 EDT
Created attachment 774599 [details]
File: limits
Comment 7 Henrique "LonelySpooky" Junior 2013-07-16 23:14:25 EDT
Created attachment 774600 [details]
File: maps
Comment 8 Henrique "LonelySpooky" Junior 2013-07-16 23:14:29 EDT
Created attachment 774601 [details]
File: open_fds
Comment 9 Henrique "LonelySpooky" Junior 2013-07-16 23:14:32 EDT
Created attachment 774602 [details]
File: proc_pid_status
Comment 10 Henrique "LonelySpooky" Junior 2013-07-16 23:14:35 EDT
Created attachment 774603 [details]
File: var_log_messages
Comment 11 Dominik 'Rathann' Mierzejewski 2013-08-09 08:03:40 EDT
Please attach the file for which you were trying to optimize the geometry.
Comment 12 Fedora Update System 2013-10-12 07:32:42 EDT
gabedit-2.4.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gabedit-2.4.7-1.fc20
Comment 13 Fedora Update System 2013-10-12 07:33:01 EDT
gabedit-2.4.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gabedit-2.4.7-1.fc19
Comment 14 Fedora Update System 2013-10-13 15:50:17 EDT
Package gabedit-2.4.7-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gabedit-2.4.7-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18960/gabedit-2.4.7-2.fc20
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2013-10-31 23:56:27 EDT
gabedit-2.4.7-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-11-10 01:33:41 EST
gabedit-2.4.7-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.